Bug 473156 - BUG kmalloc-32 (Not tainted): Object already free
BUG kmalloc-32 (Not tainted): Object already free
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
: 466190 470571 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 15:29 EST by Christopher Beland
Modified: 2009-07-14 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Errors found in /var/log/messages (4.64 KB, text/plain)
2008-12-03 10:23 EST, Christopher Beland
no flags Details

  None (edit)
Description Christopher Beland 2008-11-26 15:29:22 EST
I was closing tabs in Firefox and restoring one accidentally closed when the screen froze up and the hard drive got persistently busy.  I found the following in my system logs:

=============================================================================
BUG kmalloc-32 (Not tainted): Object already free
-----------------------------------------------------------------------------

INFO: Allocated in drm_alloc+0xd/0xf [drm] age=223078871 cpu=0 pid=2061
INFO: Freed in drm_rmmap_locked+0x140/0x14a [drm] age=250 cpu=0 pid=2061
INFO: Slab 0xc1926d70 objects=51 used=43 fp=0xe9d62820 flags=0x40000083
INFO: Object 0xe9d626e0 @offset=1760 fp=0xe9d621e0

Bytes b4 0xe9d626d0:  6e 05 00 00 5b d0 fb ff 5a 5a 5a 5a 5a 5a 5a 5a n...[<D0><FB><FF>ZZZZZZZZ
 Object 0xe9d626e0:  6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b kkkkkkkkkkkkkkkk
 Object 0xe9d626f0:  6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b a5 kkkkkkkkkkkkkkk<A5>
Redzone 0xe9d62700:  bb bb bb bb                                     <BB><BB><BB><BB>            
Padding 0xe9d62728:  5a 5a 5a 5a 5a 5a 5a 5a                         ZZZZZZZZ        
Pid: 2061, comm: Xorg Not tainted 2.6.27.5-41.fc9.i686.debug #1
[<c0491498>] print_trailer+0xe1/0xe9
[<c04917cf>] object_err+0x25/0x30
[<c0492c36>] __slab_free+0x1a8/0x28e
[<c0492f0a>] kfree+0xc4/0xfd
[<ee9be25f>] ? drm_vm_shm_close+0x181/0x191 [drm]
[<ee9be25f>] ? drm_vm_shm_close+0x181/0x191 [drm]
[<ee9be25f>] drm_vm_shm_close+0x181/0x191 [drm]
[<c048355c>] ? remove_vma+0x55/0x5b
[<c0483537>] remove_vma+0x30/0x5b
[<c0483625>] exit_mmap+0xc3/0xde
[<c0428978>] mmput+0x3a/0x8b
[<c042be89>] exit_mm+0xe8/0xf0
[<c042d6d7>] do_exit+0x1e1/0x796
[<c042dcea>] do_group_exit+0x5e/0x85
[<c043616f>] get_signal_to_deliver+0x27f/0x296
[<c04472ea>] ? trace_hardirqs_off_caller+0x15/0x91
[<c0402f50>] do_notify_resume+0x71/0x669
[<c0434c66>] ? do_tkill+0xf7/0x11a
[<c0435d2d>] ? sigprocmask+0xba/0xc1
[<c040841b>] ? sched_clock+0x8/0xb
[<c0446908>] ? lock_release_holdtime+0x30/0x125
[<c04480b8>] ? trace_hardirqs_on+0xb/0xd
[<c044808c>] ? trace_hardirqs_on_caller+0xf9/0x11a
[<c0464f22>] ? audit_syscall_entry+0xf9/0x123
[<c0403da4>] work_notifysig+0x13/0x1b
=======================
FIX kmalloc-32: Object at 0xe9d626e0 not freed

This is with kernel-debug-2.6.27.5-41.fc9.i686.

The Caps Lock key stopped working after that, but after the kernel oops at 13:29:11, I was still getting some messages:

Nov 26 13:29:23 diet-anarchy NetworkManager: <info>  (wlan0): device state change: 8 -> 3
Nov 26 13:29:23 diet-anarchy NetworkManager: <info>  (wlan0): deactivating device.
Nov 26 13:29:27 diet-anarchy NetworkManager: <info>  wlan0: canceled DHCP transaction, dhcp client pid 4157
Nov 26 13:29:28 diet-anarchy NetworkManager: <WARN>  check_one_route(): (wlan0) error -34 returned from rtnl_route_del(): Sucess#012
Comment 1 Christopher Beland 2008-12-03 10:23:23 EST
Created attachment 325547 [details]
Errors found in /var/log/messages

I was surfing the web in Firefox and downloading podcasts in Rhythmbox when the X server seemed to crash.  There was some flickering and the "X" cursor appeared on the screen, immovable by the mouse, and the Caps Lock key stopped working.  The attached appeared in my system log, which seems similar to the earlier problem.  This is with kernel-debug-2.6.27.5-41.fc9.i686 and xorg-x11-server-Xorg-1.5.2-3.fc9.i386.

Looking back in bugzilla, it looks like I experienced this before in bug 470571 and bug 466190, and another user reported a similar problem in bug 437318.
Comment 2 Christopher Beland 2009-01-15 14:46:13 EST
X crashed again today with the same symptoms as the last comment, and the same trace as the original report.  This is now with kernel-debug-2.6.27.9-73.fc9.i686 and xorg-x11-server-Xorg-1.5.2-3.fc9.i386.
Comment 3 Christopher Beland 2009-02-10 12:45:22 EST
This has happened 3 times this week with kernel-debug-2.6.27.12-78.2.8.fc9.i686.  8(
Comment 4 Christopher Beland 2009-02-10 12:46:21 EST
*** Bug 470571 has been marked as a duplicate of this bug. ***
Comment 5 Christopher Beland 2009-02-10 12:46:33 EST
*** Bug 466190 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-06-09 23:22:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:46:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.